summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-01-22 16:36:27 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2016-01-22 23:14:27 +0000
commit78222b43893fe426c59c90d1d1f8c095b7e36ec4 (patch)
tree15d3bdc12df6cf9ebdfc3f47a2b2a9457b0df17e
parent777b9b40745e747438939d4fa5bdab71015ac701 (diff)
added the more resiliency towards created pool.
Change-Id: I40c81efaf3f73865139d4259d2217b45611c2e96 (cherry picked from commit 85f9f592304d0608944ba21336dd35b7e880dce8)
-rwxr-xr-xci/02-maasdeploy.sh17
1 files changed, 8 insertions, 9 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index 005419b6..fc42574d 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -53,15 +53,14 @@ if [ ! -e $HOME/.ssh/id_rsa ]; then
ssh-keygen -N '' -f $HOME/.ssh/id_rsa
fi
-if [ ! -e /var/lib/libvirt/images ]; then
-
- sudo apt-get install libvirt-bin -y
- sudo adduser $USER libvirtd
- sudo virsh pool-define-as default --type dir --target /var/lib/libvirt/images/
- sudo virsh pool-start default
- sudo virsh pool-autostart default
-
-fi
+#define the pool and try to start even though its already exist.
+# For fresh install this may or may not there.
+
+sudo apt-get install libvirt-bin -y
+sudo adduser $USER libvirtd
+sudo virsh pool-define-as default --type dir --target /var/lib/libvirt/images/ || true
+sudo virsh pool-start default || true
+sudo virsh pool-autostart default || true
sudo apt-add-repository ppa:maas-deployers/stable -y
sudo apt-add-repository ppa:juju/stable -y